package com.goafanti.business.service;


import java.util.List;
import java.util.Map;

import com.goafanti.app.bo.ProjectBo;
import com.goafanti.app.bo.ProjectDetailBo;
import com.goafanti.business.bo.BusinessProjectBo;
import com.goafanti.business.bo.ProjectSizeBo;
import com.goafanti.common.model.BusinessProject;
import com.goafanti.common.model.BusinessVarieties;
import com.goafanti.common.model.ProjectSize;
import com.goafanti.core.mybatis.page.Pagination;

public interface BusinessProjectService {
	int insert(String bname,String cid,String country,String province,String city,String district,String boutique);
	
	Pagination<BusinessProjectBo> listProject(String bname,String cid,String country,String province,String city,String district,String activityFlag,
										String status,Integer pageNo, Integer pageSize );
	int getBnamecount(String bname);
	
	int deleteProject(String id);
	
	int updateStopProject(String id);
	
	ProjectDetailBo orgProject(String id);
	
	BusinessProjectBo orgProjects(String id);
	
	List<Map<String, String>> getAllCnames(Integer flag);
	
	int updateProject(BusinessProject s);
	
	int addProjectSize(ProjectSize ps);
	
	int updateOrgProjectSize(ProjectSize ps);
	
	Pagination<ProjectSizeBo> listProjectSize(String pid,Integer pNo,Integer pSize);

	ProjectSizeBo getProjectSize(String id);

	int  deleteProjectSize(String id);

	int updateSotpProjectSize(String id);

	boolean WhetherRepeat(ProjectSize ps);
	
	boolean judgeStatus(ProjectSize ps);
	
	boolean judgeBeing(BusinessProject s);

	List<ProjectBo> portalRecommend();
	
	Pagination<ProjectBo> getBusinessProject(String id,Integer pNo,Integer pSize);

	Pagination<ProjectBo> recommendProjectList(Integer pNo, Integer pSize);

	boolean checkProject(String id);

	Pagination<ProjectBo> portalRecommendList(Integer pNo, Integer pSize);

	Pagination<ProjectBo> portalBusinessProject(String id, Integer pNo, Integer pSize);

	ProjectDetailBo ProjectDetail(String id);
	
	List<BusinessProject> selectBusinessProjectByName(String businessName,String cid);

	List<BusinessVarieties> selectBusinessProjectCatalog();
	 
	
	
}
